Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.net
Class HttpRequest

    java.lang.Object
      com.ejie.r01f.net.BaseNetRequest
          com.ejie.r01f.net.HttpRequest

public class HttpRequest
extends BaseNetRequest

Clase que se encarga de la comunicación con un servidor. Envia uno o varios parametros al servidor bien por GET o POST

Field Summary

Fields inherited from class com.ejie.r01f.net.BaseNetRequest
`HTTPCALL_GET, HTTPCALL_POST, PROTOCOL`

Constructor Summary
`HttpRequest()` Constructor vacio
`HttpRequest(java.lang.String inURLStr)` Constructor a partir de una URL en formato cadena con el destino
`HttpRequest(java.lang.String inURLStr, java.lang.String proxyHost, java.lang.String proxyPort)` Constructor a partir de una URL en formato cadena con el destino

Method Summary
`java.net.HttpURLConnection` | `getConnection(java.net.URL url)` Metodo abstracto que han de implementar las subclases (HttpCall y HttpsCall) para obtener la conexión

Methods inherited from class com.ejie.r01f.net.BaseNetRequest
`getSendMode, getTimeout, putParameter, send, sendUsingGet, sendUsingPost, setCookie, setProxyAuthorization, setSendMode, setTimeout, setURIAuthorization, setURL`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpRequest

    public HttpRequest()

  Constructor vacio

### HttpRequest

    public HttpRequest(java.lang.String inURLStr)
                throws java.net.MalformedURLException

  Constructor a partir de una URL en formato cadena con el destino

### HttpRequest

    public HttpRequest(java.lang.String inURLStr,
                       java.lang.String proxyHost,
                       java.lang.String proxyPort)
                throws java.net.MalformedURLException

  Constructor a partir de una URL en formato cadena con el destino

Throws:
  `java.net.MalformedURLException`

Method Detail

### getConnection

    public java.net.HttpURLConnection getConnection(java.net.URL url)
                                             throws java.io.IOException

  Metodo abstracto que han de implementar las subclases (HttpCall y HttpsCall) para obtener la conexión

  Specified by:
    `getConnection` in class `BaseNetRequest`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD